/* GPSController */

#import <Cocoa/Cocoa.h>

@interface GPSController : NSObject
{
	IBOutlet id asyncFeedback;
	IBOutlet id timeText;
	IBOutlet id liveButton;
	IBOutlet id	dlsButton;
	IBOutlet id	calcButton;
	IBOutlet id timezoneText;
	IBOutlet id lat_degText;
	IBOutlet id lat_minText;
	IBOutlet id lon_degText;
	IBOutlet id lon_minText;
	IBOutlet id altitudeText;
	IBOutlet id dayOfWeekPopUp;
	IBOutlet id gpsView;

	int almanacFlag;
	int app_is_runningFlag;
	NSString *almanacFile;
}
- (IBAction)getLastAlmanacSync:(id)sender;
- (IBAction)getLastAlmanacAsync:(id)sender;
- (IBAction)gotoSite:(id)sender;
- (IBAction)liveUpdate:(id)sender;
- (IBAction)calculsat:(id)sender;
- (IBAction)setLocalDate:(id)sender;
- (IBAction)selectFiles:(id)sender;

- (void)setLocalDateInfo;
@end
