#include <stdio.h>
#include<stdlib.h>
#include<string.h>
#include <math.h>
#define C 2.99792458E8
#define MU 3.986005E14
#define OMEGA_DOT_E 7.2921151467E-5
#define PI 3.1415926535898
/* Verifier le nombre max de satellites */
#define NB_SAT 32

#define SecPerMin  60.0
#define MinPerHour 60.0
#define HourPerDay 24.0
#define DayPerWeek  7.0

#define SecPerHour (SecPerMin*MinPerHour)
#define SecPerDay  (SecPerHour*HourPerDay)
#define SecPerWeek (SecPerDay*DayPerWeek)

// #define UTC_zone   2  /* 1 heure d'hiver, 2 heure d'ete */

/*
   Structures
*/

typedef struct {
    int 	sv;
    int 	health;
    double 	e;
    double 	TOA;
    double 	I_0;
    double 	OMEGA_DOT;
    double 	SQRT_A;
    double 	OMEGA_0;
    double 	OMEGA;
    double 	M_0;
    double	Af0;
    double 	Af1;
    int 	week;
} data_almanac_t;

typedef struct {
    double      x;
    double      y;
    double      z;
    double      elevation;
    double      azimuth;
} position_sat_t ;







